<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Alert Demo</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console">
    </div>
    <script>
        var $console = $('#console');
        var initPageView = function(){
            var name = '范ＸＸＸ                    ';
            var mask = maskChineseName(name);
            $console.text(mask);
        }
        function maskChineseName(name) {
            name = name.trim();
            var firstName = name.substring(0,1);
            var lastName = name.substring(name.length-1);
            var len = name.length;
            var maskName = firstName;
            for (var i = 0; i < len - 2; i++) { // without first and last
                maskName += '*';
            }
            maskName += lastName;
            return maskName;
        }
    initPageView();

    </script>
</body>

</html>
